%define name	WebMaker
%define version	0.8.5
%define release	6mdk
%define prefix	/usr

Name: %{name}
Version: %{version}
Release: %{release}
Summary: WebMaker is a GUI (X11) HTML editor for Unix
Group: X11/KDE/Applications
Prefix: %{prefix}
Copyright: GPL
Source: http://www.services.ru/linux/webmaker/%{name}-%{version}.tar.bz2
URL: http://www.services.ru/linux/webmaker
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: qt >= 1.44

%description
KDE HTML editor, with preview and impressive graphical
interface. If you're going to do web pages from KDE,
this is the way to do it.

%prep
%setup

%build
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS ./configure \
    --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT \
    --disable-path-check
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

cd $RPM_BUILD_ROOT%{prefix}/share/icons/mini
rm -f html.xpm image.xpm trash.xpm txt.xpm unknown.xpm

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Rebuilt linked with latest kde libs.

* Wed Sep 01 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Mandrake adaptions.

* Wed Jul 21 1999 Alexei Dets <dets@services.ru>
- Version 0.8.5-4
  Fixed errors during RPM building. Now it is a relocatable package, 
  default prefix is /opt/kde.
